---
title: "Argenprop API: Search | Perceptlayer"
description: "Search from Argenprop as JSON. 1 credit per successful call."
url: https://perceptlayer.com/apis/argenprop/search
---

[APIs](https://perceptlayer.com/apis) / [Argenprop](https://perceptlayer.com/apis/argenprop) / Search

# Argenprop: Search

Search from Argenprop as JSON. 1 credit per successful call.

GET `/v1/argenprop/search`

## Parameters

Send parameters in the query string.

| Parameter | Type | Required | Allowed values |
| --- | --- | --- | --- |
| `operation` | string | Optional | venta, alquiler, alquiler\_temporal |
| `country` | string | Optional | Up to 40 characters |
| `page` | integer | Optional | Any |
| `rows` | integer | Optional | Any |
| `sort` | string | Optional | destaque, masnuevos, menorprecio, mayorprecio |
| `price_min` | integer | Optional | Any |
| `price_max` | integer | Optional | Any |
| `seller_type` | string | Optional | Up to 40 characters |
| `price_availability` | string | Optional | Up to 40 characters |
| `region` | string | Optional | Up to 120 characters |
| `partido` | string | Optional | Up to 120 characters |
| `property_type` | string | Optional | Up to 80 characters |

## Example request

cURL shell 

```
curl "https://api.perceptlayer.com/v1/argenprop/search?operation=alquiler&country=argentina&rows=5" \
  -H "X-API-Key: $API_KEY"
```

[Run this endpoint in the playground](https://perceptlayer.com/apis/argenprop?try=search#playground) with your own parameters. 1 credit per successful call; failed calls are free.
